% (C) 2009-2012 HILBERT-Team '09, '10, '12
% license + details:     http://www.asc.tuwien.ac.at/abem/hilbert
% support + bug report:  hilbert@asc.tuwien.ac.at

function [ config ] = defaultConfigure()
  config = struct(...
              'Threading', 'no', ...
              'NumberOfCores', num2str(feature('numCores')), ...
              'ThreadingDiagnostics', 'no', ...
              'Debugging', 'no', ...
              'CompFlags', '', ...
              'Eps', '1e-12', ...
              'Eta', '0.5', ...
              'GaussOrder', '16', ...
              'BinaryInstall', 'no');

