% (C) 2009-2012 HILBERT-Team '09, '10, '12
% license + details:     http://www.asc.tuwien.ac.at/abem/hilbert
% support + bug report:  hilbert@asc.tuwien.ac.at

%*** Check whether a certain MEX-file is available.
function availability = mexBuildAvailable(target)
file_name = ['lib/' target.name '.' mexext()];
c = Configure();
if (strcmp(c.BinaryInstall, 'yes'))
    if (fileAvailable(file_name))
        availability = true;
    else
        availability = false;
    end
else
    mtime = fileAvailable(file_name);
    availability = targetUpToDate(target, mtime);
end
