% (C) 2009-2012 HILBERT-Team '09, '10, '12
% license + details:     http://www.asc.tuwien.ac.at/abem/hilbert
% support + bug report:  hilbert@asc.tuwien.ac.at

function return_target = getTargetByName(name)
  global targets;

  if (strcmp(class(name), 'function_handle') == true)
    targets = name();
    if (all(size(targets) == [0 0]))
      error('Makefile has no targets.');
    end
    return;
  elseif (all(size(targets) == [0 0]))
    targets = Makefile();
  end

  if (isstr(name) == false)
    error(['Expecting either a string or a function handle as input ' ...
      'parameter, but got ' class(name) '.']);
  end

  for target=targets
    if (strcmp(target.name, name))
      return_target = target;
      return;
    end
  end
  return_target = false;
end

