function phix = phi(x,a,b)

%*** compute normal vector n on [a,b] for x in [a,b]
n = b-a;
n = [n(:,2) -n(:,1)] ./ repmat(sqrt(sum(n.^2,2)),1,2);

%*** compute gradient gradu(x)
grad = [ zeros(size(x,1),1) ones(size(x,1),1) ];

%*** compute normal derivative d_n u(x) = gradu(x)*n(x)
phix = sum(grad.*n,2);
