load examples/laplace/lshape1/coordinates.dat;
load examples/laplace/lshape1/elements.dat;

addpath lib

while (size(coordinates,1) < 2000)
  marked = ceil(size(elements,1).*rand(size(elements,1),1));
  marked = marked(1:(ceil(size(elements,1)*0.10)));
  [coordinates,elements] = refineBoundaryMesh(coordinates,elements,marked);
end

make realclean
make threaded-default-configure
make buildV
V1 = buildV(coordinates,elements);

clear Makefile Configure buildV

make realclean
make default-configure
make buildV
V2 = buildV(coordinates,elements);

disp(max(max(abs(V1-V2))))
figure(1);
spy(abs(V1-V2))
figure(2);
spy(~abs(V1-V2))
figure(3);
spy(abs(V1-V2)>1e-18)

