cd ../work

load examples/laplace/example01/coordinates.dat;
load examples/laplace/example01/elements.dat;

addpath ../work/lib

while (size(coordinates,1) < 2000)
  marked = ceil(size(elements,1).*rand(size(elements,1),1));
  marked = marked(1:(ceil(size(elements,1)*0.10)));
  [coordinates,elements] = refineBoundaryMesh(coordinates,elements,marked);
end

make realclean
make threaded-default-configure
make buildW
W1 = buildW(coordinates,elements);

clear Makefile Configure buildW

make realclean
make default-configure
make buildW
W2 = buildW(coordinates,elements);

disp(max(max(abs(W1-W2))))
% figure(1);
% spy(abs(W1-W2))
% figure(2);
% spy(~abs(W1-W2))
% figure(3);
% spy(abs(W1-W2) > 1e-18)

